package com.chenyang.nse.bussiness.enumeration;

public enum EengineType {
   POWERCENTER961("POWERCENTER9.6.1", "9.6.1", "0", "POWERCENTER"),
   KETTLE7("KETTLE7.2", "9.6.1", "1", "KETTLE");

   private String name;
   private String version;
   private String core;
   private String type;

   private EengineType(String name, String version, String core, String type) {
      this.name = name;
      this.version = version;
      this.core = core;
      this.type = type;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getVersion() {
      return this.version;
   }

   public void setVersion(String version) {
      this.version = version;
   }

   public String getCore() {
      return this.core;
   }

   public void setCore(String core) {
      this.core = core;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }
}
